Bug 2676 - GSI on Windows?
: GSI on Windows?
Status: RESOLVED WONTFIX
: GSI C
Credentials and Proxies
: unspecified
: PC Windows XP
: P3 blocker
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-02-01 15:21 by
Modified: 2008-08-11 14:55 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-02-01 15:21:38
Condor needs GSI on Windows. Sadly, not only has all of our email to Bob
Gaffeney been ignored, we also note that there has been no WinGlobus release
since April of 2004. 

Having found a laundry list of bugs in the April release, I met with Bob last
July and we fixed several bugs, which I believe he checked into CVS.
Furthermore, a number of additional issues remain that have not been resolved.
This includes:

1. Proxy certs are world readable.
2. Most things don't work unless X509_USER_CERT and X509_USER_KEY are defined.
3. Cert paths with double quotes cause problems
4. a 5k-per-authentication memory leak. 
5. The build system does not work with GPT.

Could someone please update us with the status of these efforts?

Thanks.
------- Comment #1 From 2005-02-18 13:32:11 -------
Via the bugzilla email gateway:

Is there any activity on this? It's been 2+ weeks...

thanks,
Colin
------- Comment #2 From 2005-02-18 14:20:41 -------
That's because I am still trying to find out myself. I'll let you know as soon
as I hear anything.

/Sam
------- Comment #3 From 2005-03-07 12:42:43 -------
Just to give you an update: Steve has mentioned before that Univa is going to
provide a windows dist of GT. This will involve fixing the bugs you are
concerned about and contributing them to the open source side. I'm still trying
to get a handle on the timeframe for these contributions and will let you know
as soon as I have something more definitive (my best guess right now is that it
will happen sometime in Q2).

/Sam 
------- Comment #4 From 2005-03-11 12:20:23 -------
As Sam reported in the last note the plans at Univa are becoming more clear. 

The first order of business will be to produce a gsi component to satisfy the
Condor needs.

IPV6 changes committed to Common broke the build, so fixing that is a
pre-requisite. Next we will address the issues reported by Colin.

I think Sam is correct on the timeframe - there are some extremely pressing
tasks that make it unlikely I can get to this before April.

I will keep you posted as I know more.
------- Comment #5 From 2007-09-19 11:20:42 -------
Closing this, as we're not working on C GSI on Windows, just java.  Univa's
release plans for windows C GSI are unclear, but don't involve funding/effort
from us.